import request from '@/utils/request'

// 查询请求参数校验配置列表
export function listRequest11691998078000(query) {
  return request({
    url: '/forms/api/gen/Request11691998078000/list',
    method: 'get',
    params: query
  })
}

// 查询请求参数校验配置详细
export function getRequest11691998078000(id) {
  return request({
    url: '/forms/api/gen/Request11691998078000/' + id,
    method: 'get'
  })
}

// 增量初始化
export function addInitApijsonConfig(id) {
  return request({
    url: '/forms/api/get',
    method: 'post',
    data: {
		"id": id,
		"data()": "addInitApijsonConfig(request,id)"
	}
  })
}

// 新增请求参数校验配置
export function addRequest11691998078000(data) {
  return request({
    url: '/forms/api/gen/Request11691998078000',
    method: 'post',
    data: data
  })
}

// 修改请求参数校验配置
export function updateRequest11691998078000(data) {
  return request({
    url: '/forms/api/gen/Request11691998078000',
    method: 'put',
    data: data
  })
}

// 删除请求参数校验配置
export function delRequest11691998078000(id) {
  return request({
    url: '/forms/api/gen/Request11691998078000/' + id,
    method: 'delete'
  })
}
